
public class InsiemeLimitato {

	private final int[] elementi;
	private int numElementi;
	
	public InsiemeLimitato(int n){
		numElementi=0;
		elementi=new int[n];
	}
	
	public int getNumElementi(){
		return numElementi;
	}
	
	public int getSize(){
		return elementi.length;
	}
	
	public boolean contenuto (int e){
		for (int i=0; i<numElementi; i++){
			if (e==elementi[i]){
				return true;
			}
		}
		return false;
	}
	
	public boolean vuoto (){
		return numElementi==0;
	}
	
	public boolean pieno (){
		return numElementi==getSize();
	}
	
	public void add(int e){
		if (pieno()) return; //dovrei sollevare un'eccezione
		if (contenuto(e)) return;
		elementi[numElementi]=e;
		numElementi++;
	}
	
	public int get (int pos)
			throws EccezioneInsiemeLimitato{
		try{
			if (pos<0 || pos >=numElementi){
				//return 0; //dovrei sollevare un'eccezione
				throw new EccezioneInsiemeLimitato();
			}
		} catch (ArrayIndexOutOfBoundsException e1){
			System.out.println("eccezione index: "+ e1);
		} 
		finally {
			System.out.println("Prova finally");
		}
		//System.out.println("sono qui");
			return elementi[pos];
	}
}
