
public class Libro {
	private final String titolo;
	private final String autore;
	private boolean inPrestito;
	
	public Libro(String titolo, String autore){
		this.titolo=titolo;
		this.autore=autore;
		inPrestito=false;
	}
	
	public String getDescrizione(){
		return "Titolo: "+titolo +
				"\nAutore: "+autore;
	}

	public boolean getInPrestito(){
		return inPrestito;
	}
	
	public void setInPrestito(boolean stato){
		inPrestito=stato;
	}
	
	public boolean equals (Object o){
		if (!(o instanceof Libro)) return false;
		return this.autore.equals( ((Libro)o).autore) &&
			   this.titolo.equals( ((Libro)o).titolo);    
	}
	
}
